Bug 1881 - PCMCIA NIC support
PCMCIA NIC support
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-03-30 10:15 EST by brian
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-30 13:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description brian 1999-03-30 10:15:57 EST
I get MODprobe: not found when loading the PCMCIA support..
was going to try installing via ftp...

Loaded off of CDROM... get to the network config point...
Card is a Linksys 10/100MB PCMCIA card. Uses the DEC TuLIP
driver in Caldera, used NE2000 compatible in RedHat 5.2

Tried *All* of the cards listed, none can find the card
when it probes.

---5.2 has this.
Mar 29 03:24:16 localhost kernel: eth0: NE2000 Compatible:
port 0x320, irq 3, hw_addr 00:E0:98:03:C0:7B
--- tried the NE2000 Compatible with the same port and IRQ
in 5.9.. didn't detect again
Comment 1 Adam Thompson 1999-04-04 18:53:59 EDT
Possibly this is related to instimage/modules brain-damage (reported
in Bug #1974) ?  I don't have a PCMCIA system available to verify
Comment 2 thalakan 1999-04-21 02:59:59 EDT
Hmm, sounds like the same problem I had with my no-name NE2000 NIC

Chances are that the /etc/pcmcia/config file does not have a driver
matched up with the configuration information stored on the card.  Get
a working system up, insert the card, and get a copy of the syslog
files with the pcmcia configuration data in them.  If you're
*ABSOLUTELY POSITIVE* that this card uses the tulip drivers, email
David Hinds at dhinds@hyper.stanford.edu with the model of the card
and the configuration data in your syslog files.  He will add the card
to the pcmcia config file in the next version of the pcmcia drivers,
and then it will work.  Until you RedHat guys get that
soon-to-be-released version of the pcmcia drivers, manually add the
configuration data (the /etc/pcmcia/config file is documented in the
pcmcia package) to the pcmcia config file and match it up with the
tulip driver.

Right now, it looks like the pcmcia config file is matching the
configuration data it's getting from the card with the NE2000 driver;
someone (David Hinds) needs to figure out what the difference is
between this card and the card that is listed in the pcmcia config
file, then create two seperate entries in the pcmcia config file for
the two cards: one with the NE2000 driver, one with the tulip driver.

Note that the pcmcia drivers must have been compiled with 32-bit
CardBus support to work!

Note You need to log in before you can comment on or make changes to this bug.